﻿-- Priority List 3
-- by Jadya
-- EU-Well of Eternity

PriorityList = {}

local addonName, addonTable = ...
local L = addonTable.L

addonTable.C = {}
local C = addonTable.C

addonTable.T = {}
local T = addonTable.T

local addon = PriorityList

--[[ Instance IDs ]]--
addon.instanceIDs = {669} -- Hellfire Citadel

local colors = {
 LIST_1       = "|cffbbbbbb",
 LIST_2       = "|cff999999",
 LIST_3       = "|cff666666",
 LIST_BLUE    = "|cff98bbec",
 
 LIGHT_RED    = "|cffFF2020",
 LIGHT_GREEN  = "|cff20FF20",
 LIGHT_BLUE   = "|cff11DDFF",
 LIGHT_YELLOW = "|cffaaaa00",
 GREEN        = "|cff71C671",
 YELLOW       = "|cffffff00",
 GRAY         = "|cff888888",
 LIGHT_GRAY   = "|cffbbbbbb",
 GOLD         = "|cffffcc00",
 RED          = "|cffff0000",
 ORANGE       = "|cffFF7F50",
 -- classes
 DEATHKNIGHT  = "|cffC41F3B",
 DRUID        = "|cffFF7D0A",
 HUNTER       = "|cffABD473",
 MAGE         = "|cff69CCF0",
 MONK         = "|cff00FF96",
 PALADIN      = "|cffF58CBA",
 PRIEST       = "|cffFFFFFF",
 ROGUE        = "|cffFFF569",
 SHAMAN       = "|cff0070DE",
 WARLOCK      = "|cff9482C9",
 WARRIOR      = "|cffC79C6E",
}

function addonTable.AddColor(str,color)
 local c = colors[color]
 if not str then return "|cffFF0000<Error>|r" end
 if not c then return str end
 return c..str.."|r"
end
local AddColor = addonTable.AddColor

-- token items
C.token_tables = {
 --Helm of Hellfire's
 --Vanquisher (Rogue, Death Knight, Mage, Druid)
 [127959] = {124263,124332,124160,124261},
 --Protector (Warrior, Hunter, Shaman, Monk)
 [127966] = {124334,124296,124297,124262},
 --Conqueror (Paladin, Priest, Warlock)
 [127956] = {124333,124161,124162},
 
 --Leggings of Hellfire's
 --Vanquisher (Rogue, Death Knight, Mage, Druid)
 [127960] = {124269,124338,124165,124267},
 --Protector (Warrior, Hunter, Shaman, Monk)
 [127965] = {124340,124301,124302,124268},
 --Conqueror (Paladin, Priest, Warlock)
 [127955] = {124339,124166,124167},
 
 --Gauntlets of Hellfire's
 --Vanquisher (Rogue, Death Knight, Mage, Druid)
 [127958] = {124257,124327,124292,124255},
 --Protector (Warrior, Hunter, Shaman, Monk)
 [127964] = {124329,124292,124293,124256},
 --Conqueror (Paladin, Priest, Warlock)
 [127954] = {124328,124155,124156},
 
 --Shoulders of Hellfire's
 --Vanquisher (Rogue, Death Knight, Mage, Druid)
 [127961] = {124274,124344,124154,124272},
 --Protector (Warrior, Hunter, Shaman, Monk)
 [127967] = {124346,124307,124308,124273},
 --Conqueror (Paladin, Priest, Warlock)
 [127957] = {124345,124178,124179},
 
 --Chest of Hellfire's
 --Vanquisher (Rogue, Death Knight, Mage, Druid)
 [127962] = {124248,124317,124171,124246},
 --Protector (Warrior, Hunter, Shaman, Monk)
 [127963] = {124319,124284,124303,124247},
 --Conqueror (Paladin, Priest, Warlock)
 [127953] = {124318.124172,124173},
 
 --Badge of Hellfire's
 --Vanquisher (Rogue, Death Knight, Mage, Druid)
 [127968] = {124520,124513,124516,124514},
 --Protector (Warrior, Hunter, Shaman, Monk)
 [127970] = {124523,124515,124521,124517},
 --Conqueror (Paladin, Priest, Warlock)
 [127969] = {124518,124519,124522},
}

 -- constants
C.PRIO_GAP    = 200  -- gap between lists in the prios table
C.UPGRADE_GAP = 100
-- bonusIDs
C.numBonuses = 5
C.bIDs = {
          {44,448,499,546,547,560,561,562,571,646}, -- wf
		  {523,563,564,565,572,608}, -- socket
		  {40}, -- avoidance
		  {41}, -- leech
		  {42}, -- speed
		 }

C.bIDBaseValues = {0.9,
                   1,
	     		   0.3,
		    	   0.2,
				   0.1
				  }
		 
C.list_color = { "LIST_1", "LIST_2", "LIST_3" }
		
-- textures
T.EJ_Lists = {
                   "Interface\\Icons\\Achievement_ChallengeMode_Gold",
				   "Interface\\Icons\\Achievement_ChallengeMode_Silver",
                   "Interface\\Icons\\Achievement_ChallengeMode_Bronze",
                 }

T.boss_portraits = {
 [669] = {
    "Interface\\EncounterJournal\\UI-EJ-BOSS-HellfireAssault.blp",
    "Interface\\EncounterJournal\\UI-EJ-BOSS-FelReaver.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-Kormok.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-GurtoggBloodboil.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-KilroggDeadeye.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-Gorefiend.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-ShadowLordIskar.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-SoulboundConstruct.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-FelLordZakuun.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-Xhulhorac.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-TyrantVelhari.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-MannorothWoD.blp" ,
    "Interface\\EncounterJournal\\UI-EJ-BOSS-ArchimondeWoD.blp" 
   },
  ["unknown"] = "Interface\\EncounterJournal\\UI-EJ-BOSS-Default.blp"
  }

T.added     = "Interface\\ICONS\\Spell_ChargePositive"
T.deleted   = "Interface\\ICONS\\Spell_ChargeNegative"
T.arrowup   = "Interface\\Buttons\\UI-MicroStream-Green"
T.arrowdown = "Interface\\Buttons\\UI-MicroStream-Red"